Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors.changetracking
Class MapChangeEvent

`java.lang.Object
java.util.EventObject
java.beans.PropertyChangeEvent
oracle.toplink.descriptors.changetracking.CollectionChangeEvent
oracle.toplink.descriptors.changetracking.MapChangeEvent`

All Implemented Interfaces:
  java.io.Serializable

public class MapChangeEvent
extends CollectionChangeEvent

Purpose: Define a change event for Map types.

Description: For any object that wishes to use either object change tracking or attribute change tracking, its map attributes need to fire MapChangeEvent in the put or remove methods. In the case of a replace (ie key already exists) both a remove for that key and a put using the new value and old key must be fired.

Responsibilities: Create a MapChangeEvent for an object

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.descriptors.changetracking.CollectionChangeEvent
`ADD, REMOVE`

Constructor Summary
`MapChangeEvent(java.lang.Object collectionOwner, java.lang.String propertyName, java.lang.Object collectionChanged, java.lang.Object elementKey, java.lang.Object elementValue, int changeType)` PUBLIC: Create a MapChangeEvent for an object based on the property name, the updated Map, the new Key and the new Value and change type (add or remove)

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapChangeEvent

    public MapChangeEvent(java.lang.Object collectionOwner,
                          java.lang.String propertyName,
                          java.lang.Object collectionChanged,
                          java.lang.Object elementKey,
                          java.lang.Object elementValue,
                          int changeType)

  PUBLIC: Create a MapChangeEvent for an object based on the property name, the updated Map, the new Key and the new Value and change type (add or remove)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD